import extra_geom

from ..base_geometry import ManualQuadrantsGeometryBase, make_quadrant_corners_node


class Lpd1MGeometry(ManualQuadrantsGeometryBase):
    geometry_class = extra_geom.LPD_1MGeometry
    quadrantCorners = make_quadrant_corners_node(
        [
            (11.4, 299),
            (-11.5, 8),
            (254.5, -16),
            (278.5, 275),
        ]
    )
